/*
**	FILE:			FtpMain.cpp
**	AUTHOR:			Matthew Allen
**	DATE:			7/9/99
**	DESCRIPTION:	i.Ftp entry point
**
**	Copyright (C) 1999, Matthew Allen
**		fret@ozemail.com.au
*/

#include "Ftp.h"
#include "INet.h"

#ifdef WIN32
int
WINAPI
WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow)
{
	OleInitialize(NULL);
	CoInitialize(NULL);
	InitCommonControls();

	FileDevice File;
	GdcDevice Gdc;

	App iFtp(hInstance, lpCmdLine, nCmdShow);
	NEW(AppWnd);
	iFtp.OnCmdLine(lpCmdLine);
	iFtp.Run();

	CoUninitialize();
	OleUninitialize();
	return 0;
}
#else if BEOS
int main()
{
	App *iFtp = NEW(App("application/i.Ftp", 0));
	if (iFtp)
	{
		MemoryDevice Memory;
		FileDevice File;
		GdcDevice Gdc;

		NEW(AppWnd);
		iFtp->OnCmdLine(0);
		iFtp->Run();
		
		DeleteObj(iFtp);
	}

	return 0;
}
#endif
