#include "Ftp.h"

GLogPanel::GLogPanel() :
	GPanel("Log", 120)
{
	#ifdef WIN32
	WndFlags |= WS_CLIPCHILDREN | WS_CLIPSIBLINGS;
	#endif

	Children.Insert(View = NEW(RLogView(this)));
	if (View)
	{
		View->TopDown(true);
		GRegion n(16, 4, 600, 135);
		View->SetPos(n);
		View->Border(false);
		SetView(View);
	}
}

GLogPanel::~GLogPanel()
{
}

bool GLogPanel::Pour(GComplexRegion &r)
{
	bool Status = GPanel::Pour(r);
	if (Status AND View AND Open())
	{
		GRegion p(16, 4, X()-5, Y()-5);
		View->SetPos(p);
	}
	return Status;
}
