/*
**	FILE:			ScribeMain.cpp
**	AUTHOR:			Matthew Allen
**	DATE:			9/6/98
**	DESCRIPTION:	Scribe app entry point
**
**	Copyright (C) 1998, Matthew Allen
**		fret@ozemail.com.au
*/

#include "LgiRes.h"

int
WINAPI
WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow)
{
	CoInitialize(NULL);
	InitCommonControls();

	FileDevice File;
	GdcDevice Gdc;

	App Application(hInstance, lpCmdLine, nCmdShow);
	Application.AppWnd = NEW(AppWnd);
	Application.OnCmdLine(lpCmdLine);
	Application.Run();

	CoUninitialize();
	return 0;
}

