// AtheOS Implementation of General LGI functions
#include "Lgi.h"

////////////////////////////////////////////////////////////////
// Local helper functions
bool _lgi_check_file(char *Path)
{
	if (Path)
	{
		if (FileExists(Path))
		{
			// file is there
			return true;
		}
		else
		{
			// shortcut?
			char *e = Path + strlen(Path);
			strcpy(e, ".lnk");
			if (FileExists(Path))
			{
				// resolve shortcut
				char Link[256];
				if (ResolveShortcut(Path, Link, sizeof(Link)))
				{
					// check destination of link
					if (FileExists(Link))
					{
						strcpy(Path, Link);
						return true;
					}
				}
			}
			*e = 0;
		}
	}

	return false;
}
////////////////////////////////////////////////////////////////////////
// Implementations
int MsgA(GMessage *m)
{
	int32 a = 0;
	if (m) m->FindInt32("a", &a);
	return a;
}

int MsgB(GMessage *m)
{
	int32 b = 0;
	if (m) m->FindInt32("b", &b);
	return b;
}

GMessage &CreateMsg(int m, int a, int b)
{
	static GMessage Msg;
	Msg.SetCode(m);
	Msg.AddInt32("a", a);
	Msg.AddInt32("b", b);
	return Msg;
}

bool LgiGetFileMimeType(char *File, char *Mime)
{
	bool Status = false;
	return Status;
}

bool LgiGetAppForMimeType(char *Mime, char *AppPath)
{
	bool Status = false;
	if (AppPath AND Mime)
	{
	}
	return Status;
}

int LgiRand(int Limit)
{
	return rand() % Limit;
}

int LgiMsg(GView *Parent, char *Str, char *Title, int Type, ...)
{
	int Res = 0;
	if (Str)
	{
		char Buffer[1024];
		va_list Arg;

		va_start(Arg, Type);
		vsprintf(Buffer, Str, Arg);
		va_end(Arg);

		os::Alert *Dlg = NEW(os::Alert(Title?Title:"Message",
											Buffer,
											0,
											"Ok",
											0));
		Dlg->Go();
	}
	return Res;
}

bool LgiPlaySound(char *FileName, int Flags)
{
	bool Status = false;


	return Status;
}

bool LgiExecute(char *File, char *Args, char *Dir)
{
	if (File)
	{
		char f[256];
		
		if (Dir)
		{
			sprintf(f, "%s/%s", Dir, File);
		}
		else
		{
			strcpy(f, File);
		}
	
	}
	return false;
}

////////////////////////////////////////////////////////////




