#ifndef __GCOMBO2_H
#define __GCOMBO2_H

// Combo Box
class LgiClass GCombo :
#if defined LGI_RES
	public ResObject,
#endif
	public GView
{
private:
	#if defined WIN32
	static GWin32Class Win32Class;
	#endif

	int _Current;
	bool _SortItems;
	GRegion _Arrow;
	List<char> _Items;

public:
	GCombo(int id, int x, int y, int cx, int cy, char *name);
	~GCombo();

	// Properties
	bool Sort() { return _SortItems; }
	void Sort(bool s) { _SortItems = s; }
	void Value(int i);
	int Value();
	void Index(int i);
	int Index();
	bool Name(char *n);
	char *Name();

	// List
	bool Delete();
	bool Delete(int i);
	bool Delete(char *p);
	bool Insert(char *p, int Index = -1);
	int GetItems();

	// Events/Window
	int OnEvent(GMessage *Msg);
	void OnMouseClick(GMouse &m);
	void OnKey(GKey &k);
	void OnFocus(bool f);
	void OnPaint(GSurface *pDC);
};

#endif