// Lgi.cpp
#include "Lgi.h"

//////////////////////////////////////////////////////////////////////////////
GAlert::GAlert(	GView *parent,
				char *Title,
				char *Text,
				char *Btn1,
				char *Btn2,
				char *Btn3)
{
	GText *t = 0;
	Children.Insert(t = NEW(GText(-1, 10, 10, -1, -1, Text)));

	// Setup dialog
	SetParent(parent);
	Name(Title);
	int y = 20;
	if (t)
	{
		Pos.ZOff(max(270, t->X() + 30), 70 + t->Y());
		y += t->Y();
	}
	else
	{
		Pos.ZOff(270, 70);
	}
	MoveToCenter();

	// Setup controls
	int Cx = X()/2, Tx = 0;
	List<GButton> Btns;
	List<char> Names;
	if (Btn1) Names.Insert(Btn1);
	if (Btn2) Names.Insert(Btn2);
	if (Btn3) Names.Insert(Btn3);
	int i = 1;

	for (char *n=Names.First(); n; n=Names.Next())
	{
		int x = 0;
		SysFont->Size(&x, 0, n);
		Btns.Insert(NEW(GButton(i++, 0, 0, 20 + x, 20, n)));
		Tx += 20 + x + ((i>1) ? 10 : 0);
	}

	int Bx = Cx - (Tx / 2);
	for (GButton *b=Btns.First(); b; b=Btns.Next())
	{
		GRegion r;
		r.ZOff(b->X()-1, b->Y()-1);
		r.Offset(Bx, y);
		b->SetPos(r);
		Children.Insert(b);
		Bx += b->X() + 10;
	}
}

int GAlert::OnNotify(GView *Ctrl, int Flags)
{
	switch (Ctrl->GetId())
	{
		case 1:
		case 2:
		case 3:
		{
			EndModal(Ctrl->GetId());
			break;
		}
	}

	return 0;
}
