#ifndef __HTTP_DLG_H
#define __HTTP_DLG_H

class HttpDlg : public GDialog
{
	void SetResumable(bool r);
	void SetRollback(bool r);

public:
	char *Url;
	char *File;
	char *Proxy;
	char *UserName;
	char *Password;
	int StartFromByte;

	HttpDlg(GView *Parent, char *Default);
	~HttpDlg();

	void OnCreate();
	int OnNotify(GView *Ctrl, int Flags);
};

class HttpThread : public GThread
{
	AppWnd *Parent;
	Progress *Prog;
	GLogPanel *LogPanel;
	char *Url;

public:
	HttpThread(AppWnd *parent, char *Url = 0);
	int Main();
};

#endif